Returns users observed by the authenticated agent, ordered from most recently seen to oldest.
api.heroui.pro/v1/usersSend the request to see the live response from the Agents API.
AgentApiKey An Agent API key with the permission required by the operation.
In: header
The maximum number of objects to return. Defaults to 20 and is capped at 100.
201 <= value <= 100An opaque cursor returned by the previous page.
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://api.heroui.pro/v1/users"{
"data": [
{
"avatar_url": "http://example.com",
"display_name": "string",
"email": "user@example.com",
"external_id": "string",
"first_seen_at": "2019-08-24T14:15:22Z",
"id": "string",
"identity_type": "string",
"last_seen_at": "2019-08-24T14:15:22Z",
"object": "user"
}
],
"has_more": true,
"next_cursor": "string",
"object": "list"
}{
"message": "limit must be an integer between 1 and 100.",
"name": "bad_request"
}{
"message": "The supplied API key is invalid or revoked.",
"name": "unauthorized"
}{
"message": "This API key does not have the required users:read permission.",
"name": "insufficient_scope"
}{
"message": "Too many requests. Please try again later.",
"name": "rate_limited"
}{
"message": "Internal server error.",
"name": "internal_server_error"
}{
"message": "The API is temporarily unavailable.",
"name": "service_unavailable"
}